---
services:
    _defaults:
        autowire: true
        autoconfigure: true

    Chill\DocGeneratorBundle\Repository\:
        autowire: true
        autoconfigure: true
        resource: '../Repository/'

    Chill\DocGeneratorBundle\Menu\:
        autoconfigure: true
        autowire: true
        resource: '../Menu/'

    Chill\DocGeneratorBundle\Serializer\Normalizer\:
        autowire: true
        autoconfigure: true
        resource: '../Serializer/Normalizer/'
        tags:
            - { name: 'serializer.normalizer', priority: -152 }

    Chill\DocGeneratorBundle\Serializer\Normalizer\CollectionDocGenNormalizer:
        tags:
            - { name: 'serializer.normalizer', priority: -126 }

    Chill\DocGeneratorBundle\Service\Context\:
        resource: "../Service/Context"

    Chill\DocGeneratorBundle\Controller\:
        resource: "../Controller"
        autowire: true
        autoconfigure: true
        tags: ['controller.service_arguments']

    Chill\DocGeneratorBundle\Form\:
        resource: "../Form/"
        autowire: true
        autoconfigure: true

    Chill\DocGeneratorBundle\GeneratorDriver\:
        resource: "../GeneratorDriver/"
        autowire: true
        autoconfigure: true

    Chill\DocGeneratorBundle\Service\Messenger\:
        resource: "../Service/Messenger/"

    Chill\DocGeneratorBundle\Service\Generator\Generator: ~
    Chill\DocGeneratorBundle\Service\Generator\GeneratorInterface: '@Chill\DocGeneratorBundle\Service\Generator\Generator'

    Chill\DocGeneratorBundle\Driver\RelatorioDriver: '@Chill\DocGeneratorBundle\Driver\DriverInterface'

    Chill\DocGeneratorBundle\Context\ContextManager:
        arguments:
            $contexts: !tagged_iterator { tag: chill_docgen.context, default_index_method: getKey }
    Chill\DocGeneratorBundle\Context\ContextManagerInterface: '@Chill\DocGeneratorBundle\Context\ContextManager'
